package com.boman.web.core.mapper;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.IpTimes;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author shiqian
 * @date 2022年01月24日 11:17
 **/
public interface IpTimesMapper {

    List<JSONObject> list(@Param("ip") String ip, @Param("times") String times);

    JSONObject getById(Long id);

    int update(JSONObject jsonObject);

    int save(JSONObject jsonObject);

    int delete(Long id);

    JSONObject getByIp(String ip);

    JSONObject getByAppId(String appId);

    List<JSONObject> getAllColumns(String tableName);

    JSONObject countByUsername(@Param("username") String username, @Param("pwd") String pwd);
}
